import { createApp } from 'vue'
import { createHead, VueHeadMixin } from '@unhead/vue'

import App from './app.vue'
import router from './router'

import ElementPlus from 'element-plus'
import '@/assets/styles/element/index.scss'
import zhCn from 'element-plus/es/locale/lang/zh-cn'

import i18n from './lang'

import modules from './pages'

const app = createApp(App)
const head = createHead()

// 注册模块
modules({ router })

app.use(router)
app.use(head)
app.mixin(VueHeadMixin)
app.use(ElementPlus, { size: 'large', locale: zhCn })
app.use(i18n)

app.mount('#app')
